Package org.apache.catalina.loader

# Class WebappClassLoaderBase.PrivilegedGetClassLoader

java.lang.Object
org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedGetClassLoader

All Implemented Interfaces:
  `PrivilegedAction<ClassLoader>`

Enclosing class:
  `WebappClassLoaderBase`

protected static final class WebappClassLoaderBase.PrivilegedGetClassLoader extends Object implements PrivilegedAction<ClassLoader>

## Constructor Summary

Constructors
Constructor
Description
`PrivilegedGetClassLoader(Class<?> clazz)`

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrivilegedGetClassLoader

public PrivilegedGetClassLoader(Class<?> clazz)

## Method Details

### run

public ClassLoader run()

Specified by:
  `run` in interface `PrivilegedAction<ClassLoader>`